org.eclipse.gef.dot.internal.ui.language.labeling

## Class DotLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.xtext.ui.label.AbstractLabelProvider
        - - org.eclipse.xtext.ui.label.DeclarativeLabelProvider
          - - org.eclipse.xtext.ui.label.DefaultEObjectLabelProvider
            - - org.eclipse.gef.dot.internal.ui.language.labeling.DotLabelProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.IItemLabelProvider, DelegatingStyledCellLabelProvider.IStyledLabelProvider, IBaseLabelProvider, ILabelProvider, org.eclipse.xtext.ui.label.ILabelProviderImageDescriptorExtension

    public class DotLabelProvider
    extends org.eclipse.xtext.ui.label.DefaultEObjectLabelProvider

Provides labels and icons for the different DOT EObjects. See https://www.eclipse.org/Xtext/documentation/310_eclipse_support.html#label-provider

### Constructor Summary

Constructors
Constructor and Description
`DotLabelProvider(org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider delegate)`

### Method Summary

### Methods inherited from class org.eclipse.xtext.ui.label.DefaultEObjectLabelProvider

`doGetText, getLabelFeature`

### Methods inherited from class org.eclipse.xtext.ui.label.DeclarativeLabelProvider

`doGetImage, handleImageError, handleTextError, image, image, text, text`

### Methods inherited from class org.eclipse.xtext.ui.label.AbstractLabelProvider

`convertToImage, convertToImageDescriptor, convertToString, convertToStyledString, getDefaultImage, getDefaultStyledText, getDefaultText, getImage, getImageDescriptor, getStyledText, getText, setImageHelper`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Constructor Detail

#### DotLabelProvider

    @Inject
    public DotLabelProvider(org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider delegate)